function Initialize()
--设置地图全显
	local ExploreMapSwitch = GameInfo.MySpecialSetting["自动探索全地图"].Retain;
	if ExploreMapSwitch =="要" then
		local aPlayers = PlayerManager.GetAliveMajors();
		for _, pPlayer in ipairs(aPlayers) do
			-- Reveal the map to all players.
			local pCurPlayerVisibility = PlayersVisibility[pPlayer:GetID()];
			if(pCurPlayerVisibility ~= nil) then
				pCurPlayerVisibility:RevealAllPlots();
			end
		end
	end
-- 打印错误设置日志
	local TempBugText:string = "\n当前版本缺少:\n";
	for row in GameInfo.AAMyModifiersTemp() do
		if (row.CheckExistence ~= nil) and (row.Text ~= nil) then
			TempBugText = TempBugText .. row.Text .. "\n"
		end
	end
	for row in GameInfo.AAMyTraitElementSetting() do
		if (row.CheckExistence ~= nil) and (row.Name ~= nil) then
			TempBugText = TempBugText .. row.Name .. "\n"
		end
	end
	for row in GameInfo.AAMyPromotionSetting() do
		if (row.CheckExistence ~= nil) and (row.Name ~= nil) then
			TempBugText = TempBugText .. row.Name .. "\n"
		end
	end
	for row in GameInfo.AAMyAbilitiesSetting() do
		if (row.CheckExistence ~= nil) and (row.Name ~= nil) then
			TempBugText = TempBugText .. row.Name .. "\n"
		end
	end
	for row in GameInfo.AAMyTraitSetting() do
		if (row.CheckExistence ~= nil) and (row.Name ~= nil) then
			TempBugText = TempBugText .. row.Name .. "\n"
		end
	end
	for row in GameInfo.AAMyInitialActivationCivicsTech() do
		if (row.CheckExistence ~= nil) and (row.Name ~= nil) then
			TempBugText = TempBugText .. row.Name .. "\n"
		end
	end
	for row in GameInfo.AAMyInitialActivationUnits() do
		if (row.CheckExistence ~= nil) and (row.Name ~= nil) then
			TempBugText = TempBugText .. row.Name .. "\n"
		end
	end
	if TempBugText ~= "\n当前版本缺少:\n" then 
		print(TempBugText);
	end
end
Initialize();